//
// PlanGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct PlanGet: Codable {

    public var name: String
    public var placeId: Int
    public var imageId: UUID
    public var _id: Int
    public var imageUrl: String?
    public var createdAt: Date
    public var updatedAt: Date

    public init(name: String, placeId: Int, imageId: UUID, _id: Int, imageUrl: String? = nil, createdAt: Date, updatedAt: Date) {
        self.name = name
        self.placeId = placeId
        self.imageId = imageId
        self._id = _id
        self.imageUrl = imageUrl
        self.createdAt = createdAt
        self.updatedAt = updatedAt
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case placeId = "place_id"
        case imageId = "image_id"
        case _id = "id"
        case imageUrl = "image_url"
        case createdAt = "created_at"
        case updatedAt = "updated_at"
    }

}
